Bug 1517993 - Review Request: python-rmtest - A simple framework for testing Redis modules
Summary: Review Request: python-rmtest - A simple framework for testing Redis modules
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 20:56 UTC by Nathan Scott
Modified: 2018-01-05 05:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-05 05:05:47 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2017-11-27 20:56:40 UTC
Spec URL: https://nathans.fedorapeople.org/rmtest/python-rmtest.spec
SRPM URL: https://nathans.fedorapeople.org/rmtest/python-rmtest-0.6.6-1.fc27.src.rpm
Description:
Simple framework for testing Redis modules using python
unit test, and a disposable ephemeral Redis sub-process.
Fedora Account System Username: nathans

Comment 1 Nathan Scott 2017-11-27 21:34:54 UTC
Couple of additional notes for reviewers:
- there's a patch included in the spec which fixes up a trivial python3 issue.
  https://github.com/RedisLabs/rmtest/pull/5
- the LICENSE and README.md files are not in the source tarball (yet).
  I've pulled these in from the github repository as %source1 and %source2.
  https://github.com/RedisLabs/rmtest/issues/6

cheers.

Comment 2 Lukas Berk 2017-11-29 21:23:07 UTC
Running fedora-review on the above...
===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).

[...]

Diff spec file in url and in SRPM
---------------------------------
--- /home/lberk/src/fedora-scm/review/1517993-python-rmtest/srpm/python-rmtest.spec     2017-11-29 15:40:08.286849396 -0500
+++ /home/lberk/src/fedora-scm/review/1517993-python-rmtest/srpm-unpacked/python-rmtest.spec    2017-11-26 23:48:18.000000000 -0500
@@ -18,6 +18,4 @@
 BuildRequires:  python2-devel python3-devel
 BuildRequires:  python-redis python3-redis
-BuildRequires:  redis-devel
-Requires:      redis >= 4

 %description

Comment 3 Nathan Scott 2017-11-30 22:13:17 UTC
Whoops, thanks Lukas - I've updated the SRPM at the same location above to match that change to the spec.

cheers.

Comment 4 Robert-André Mauchin 🐧 2017-12-03 14:32:51 UTC
 - Everything is okay except this minor issue:

python-rmtest.src:21: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 21)

   Remove the tab you've added line 21.

Package is accepted.

Comment 5 Nathan Scott 2017-12-03 21:30:25 UTC
|   Remove the tab you've added line 21.

Will, do - thanks!

Comment 6 Gwyn Ciesla 2017-12-04 14:07:12 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-rmtest

Comment 7 Fedora Update System 2017-12-11 21:14:49 UTC
python-rmtest-0.6.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ba4b53084

Comment 8 Fedora Update System 2017-12-11 21:15:16 UTC
python-rmtest-0.6.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e24053bdc

Comment 9 Fedora Update System 2017-12-11 21:15:47 UTC
python-rmtest-0.6.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3742361d6b

Comment 10 Fedora Update System 2017-12-12 14:53:42 UTC
python-rmtest-0.6.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3742361d6b

Comment 11 Fedora Update System 2017-12-12 15:59:28 UTC
python-rmtest-0.6.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ba4b53084

Comment 12 Fedora Update System 2017-12-12 16:38:11 UTC
python-rmtest-0.6.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8e24053bdc

Comment 13 Fedora Update System 2017-12-22 14:34:18 UTC
python-rmtest-0.6.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-12-22 14:57:31 UTC
python-rmtest-0.6.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.